## NAME

v.transform - Transforms an vector map layer from one coordinate system into another coordinate system.

## KEYWORDS

vector

## SYNOPSIS

v.transform
v.transform help
v.transform [-qts] input=name output=name [pointsfile=string] [xshift=float] [yshift=float] [zshift=float] [xscale=float] [yscale=float] [zscale=float] [zrot=float] [--overwrite]

### Flags:

-q
  Suppress display of residuals or other information
-t
  Shift all z values to bottom=0
-s
  Instead of points use transformation options (xshift, yshift, zshift, xscale, yscale, zscale, zrot)
--overwrite
  Force overwrite of output files

### Parameters:

input=name
  Name of input vector map
output=name
  Name for output vector map
pointsfile=string
  ASCII file holding transform coordinates
xshift=float
  Shifting value for x coordinates
  Default: 0.0
yshift=float
  Shifting value for y coordinates
  Default: 0.0
zshift=float
  Shifting value for z coordinates
  Default: 0.0
xscale=float
  Scaling factor for x coordinates
  Default: 1.0
yscale=float
  Scaling factor for y coordinates
  Default: 1.0
zscale=float
  Scaling factor for z coordinates
  Default: 1.0
zrot=float
  Rotation around z axis in degrees counterclockwise
  Default: 0.0

## DESCRIPTION

v.transform transforms a vector map layer from one coordinate system into another coordinate system.

## NOTES

When using an ASCII table containing source and target coordinate pairs, in each row four coordinate values separated by white space have to be specified. Comments are permitted and have to be indicated by a '#' character.

Example for a points file of a linear transformation from XY to UTM coordinates (L: left, R: right, U: upper, L: lower, N, S, W, E):

    # Linear transformation from XY to UTM coordinates:
    # 4 maps corners defined
    # UL NW
    # UR NE
    # LR SW
    # LL SE
    -584 585  598000 4920770
    580  585  598020 4920770
    580  -600 598020 4920750
    -584 -600 598000 4920750

The ground control points may be also (ir)regularly distributed and can be more than four points.

## EXAMPLE

Most DXF/DWG drawings are done within XY coordinates. To transform them to a national grid, we can use 'v.transform' with a 4 point transformation

    v.transform -t in=watertowerXY out=watertowerUTM points=wt.points zscale=0.04 zshift=1320

## SEE ALSO

v.in.ogr

## AUTHOR

Radim Blazek, ITC-Irst, Trento, Italy

Last changed: $Date: 2006/01/11 10:26:57 $

Main index - vector index - Full index